
import * as ui from 'mojang-minecraft-ui'
import { world, EntityQueryOptions, ItemStack, Block, Player } from 'mojang-minecraft'
import { ActionFormData, MessageFormData, ModalFormData } from 'mojang-minecraft-ui'

/*

[=================]
        ©Engine404
   Creator : Engine404   
[=================]

*/

world.events.beforeItemUseOn.subscribe(eventData => {
let player = eventData.source 
   if (player.hasTag(`Eenchanted`)){
        Menu(player)
        player.runCommand( 'playsound ui.loom.select_pattern @s ~~+1~'
        )
    }
    if (player.hasTag(`Tier1`)){
        Tier1(player)
        player.runCommand('playsound ui.loom.select_pattern @s ~~+1~'
        )
    }
    if (player.hasTag(`Tier2`)){
        Tier2(player)
        player.runCommand('playsound ui.loom.select_pattern @s ~~+1~'
        )
    }
    if (player.hasTag(`Tier3`)){
        Tier3(player)
        player.runCommand('playsound ui.loom.select_pattern @s ~~+1~'
        )
    }
    if (player.hasTag(`Tier4`)){
        Tier4(player)
        player.runCommand('playsound ui.loom.select_pattern @s ~~+1~'
        )
    }
    if (player.hasTag(`Tier5`)){
        Tier5(player)
        player.runCommand(
            'playsound ui.loom.select_pattern @s ~~+1~'
          )  
    }
    if (player.hasTag(`Tier6`)){
        Tier6(player)
        player.runCommand(
            'playsound ui.loom.select_pattern @s ~~+1~'
          )  
    }
    if (player.hasTag(`Tier7`)){
        Tier7(player)
        player.runCommand(
            'playsound ui.loom.select_pattern @s ~~+1~'
          )  
    }
    if (player.hasTag(`Tier8`)){
        Tier8(player)
        player.runCommand(
            'playsound ui.loom.select_pattern @s ~~+1~'
          )  
    }
    if (player.hasTag(`Tier9`)){
        Tier9(player)
        player.runCommand(
            'playsound ui.loom.select_pattern @s ~~+1~'
          )  
    }
    if (player.hasTag(`Tier10`)){
        Tier10(player)
        player.runCommand(
            'playsound ui.loom.select_pattern @s ~~+1~'
          )  
    }
})

function Menu(player) {
	const menu = new ui.ActionFormData()
	.title('Menu')
    .button('§dEnchantments', 'textures/items/book_enchanted') 
    .button('§2Experience Shop', 'textures/items/experience_bottle')
    .button('§gInformation', 'textures/ui/icon_map')
    .show(player).then(result => {
        let selection = result.selection
		player.removeTag("Eenchanted")
        if (selection == 0) {
            TierMenu(player)     
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 1) {
            ExperienceOrb(player)     
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 2) {
            Information(player)     
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
    })
}

function Information(player) {
	const information = new ui.ActionFormData()
	.title('§gINFORMATION')
	.body("                §dEnchantment List\n\n§2Tank\n§nGhost\n§gSolar\n§aPoison\n§4Wither\n§pMelting\n§dFloating\n§cLifesteal\n§bFreezing\n§6Absorbing\n§tLightning\n§gExploding\n§aExperience\n§cDemon Hunter\n§4Demon Heart\n§uSweeping Edge\n§2Corrosion Scythe\n\n                    §gABILITY\n\n§2Tank §f: §2Provide protection\n§nGhost §f: §nInvisibility\n§gSolar §f: §gProvide protection fire\n§aPoison §f: §aGive toxins\n§4Wither §f: §4Give effect decay\n§pMelting §f: §pBurn enemy\n§dFloating §f: §dFloating\n§cLifesteal §f: §cRegenerate\n§bFreezing §f: §bSlowness\n§6Absorbing §f: §6Give Shield\n§tLightning §f: §tLightning grabbed\n§gExploding §f: §gGive explosion\n§aExperience §f: §aGive experience Additional\n§cDemon Hunter §f: §cDamage+\n§4Demon Heart §f: §4Blindness & Nausea\n§uSweeping Edge §f: §uArea damage\n§2Corrosion Scythe §f: §2Increase the speed and protection to the user, Giving effect slowness to the enemy")
    .button('§c§lBACK', 'textures/blocks/barrier') 
    .button('§g§lCREATOR', 'textures/items/paper') 
    .show(player).then(result => {
        let selection = result.selection
		player.removeTag("Eenchanted")
		player.playSound('note.pling')
        if (selection == 0) {
            Menu(player)     
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 1) {
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
            player.runCommand('title @p title §2Engine404')
            player.runCommand('title @p subtitle §pHello @p')
            player.runCommand('title @p actionbar §aThanks for Downloading my Add-on')
            player.runCommand('tag Engine404 add admin')
            player.runCommand('tag Engine404 add Admin')
        }
    })
}

function ExperienceOrb(player) {
	const experienceorb = new ui.ActionFormData()
	.title('Experience')
	.body("§6Price : 1 §2Emerald")
    .button('§qGet 4 Levels', 'textures/items/experience_bottle') 
    .button('§c§lBACK', 'textures/blocks/barrier') 
    .show(player).then(result => {
        let selection = result.selection
		player.removeTag("Eenchanted")
        if (selection == 0) {
            ExperienceOrb(player)     
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
            player.runCommand('execute @s [hasitem={item=emerald,quantity=1..}] ~~~ tag @p add Orb')
            player.runCommand('xp 4l @p[tag=Orb]')
            player.runCommand('clear @p[tag=Orb] emerald 0 1')
            player.runCommand('tag @p remove Orb')
        }
        if (selection == 1) {
            Menu(player)     
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
    })
}


function enchantment(num){
    if (num == "I"){
        return 1
    }
    else if (num == "II"){
        return 2
    }
    else if (num == "III"){
        return 3
    }
    else if (num == "IV"){
        return 4
    }
    else if (num == "V"){
        return 5
    }
    else if (num == "VI"){
        return 6
    }
    else if (num == "VII"){
        return 7
    }
    else if (num == "VIII"){
        return 8
    }
    else if (num == "IX"){
        return 9
    }
    else if (num == "X"){
        return 10
    }
    else{
        return 1
    }
}

world.events.entityHit.subscribe(v=> {
    if (v.hitEntity && v.entity && v.entity.getComponent("inventory")){
        let player = v.entity
        let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
        if (item){
            let lore = item.getLore()
            if (lore[0].includes("Demon Heart")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Demon Heart")+7,lore[0].indexOf(" ",lore[0].indexOf("Demon Heart")+7)))
                v.hitEntity.runCommand(`effect @s nausea ${level*10} ${level+5} true`)
                v.hitEntity.runCommand(`effect @s blindness ${level*10} ${level-1} true`)
            }
            if (lore[0].includes("Lightning")){
                v.hitEntity.runCommand("summon lightning_bolt~~+1~")
                player.runCommand(`effect @s fire_resistance 3 200 true`)
            }
            if (lore[0].includes("Poison")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Poison")+7,lore[0].indexOf(" ",lore[0].indexOf("Poison")+7)))
                v.hitEntity.runCommand(`effect @s poison ${level*3} ${level-1} true`)
            }
            if (lore[0].includes("Wither")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Wither")+7,lore[0].indexOf(" ",lore[0].indexOf("Wither")+7)))
                v.hitEntity.runCommand(`effect @s wither ${level*3} ${level-1} true`)
            }
            if (lore[0].includes("Floating")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Floating")+11,lore[0].indexOf(" ",lore[0].indexOf("Floating")+11)))
                v.hitEntity.runCommand(`effect @s levitation 1 ${(level*2)+3} true`)
            }
            if (lore[0].includes("Melting")){
                v.hitEntity.runCommand("fill ~ ~ ~ ~ ~ ~ flowing_lava 1 replace air")
            }
            if (lore[0].includes("Exploding")){
                v.hitEntity.runCommand("summon engine:tnt")
                player.runCommand(`effect @s resistance 1 5 true`)
            }
            if (lore[0].includes("Absorbing")){ 
                let level = enchantment(lore[0].substring(lore[0].indexOf("Absorbing")+8,lore[0].indexOf(" ",lore[0].indexOf("Absorbing")+8)))
                player.runCommand(`effect @s absorption ${level*16} ${level+1} true`)
            }
            if (lore[0].includes("Lifesteal")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Lifesteal")+10,lore[0].indexOf(" ",lore[0].indexOf("Lifesteal")+10)))
                player.runCommand(`effect @s regeneration ${level+2} ${level-1} true`)
            }
            if (lore[0].includes("Freezing")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Freezing")+8,lore[0].indexOf(" ",lore[0].indexOf("Freezing")+8)))
                v.hitEntity.runCommand(`effect @s slowness ${level*5} ${level+1} true`)
            }
            if (lore[0].includes("Experience")){
                v.hitEntity.runCommand("function eXEngine/Experience")
            }
            if (lore[0].includes("Sweeping Edge")){
                v.hitEntity.runCommand("function eXEngine/Sweeping")
                v.hitEntity.runCommand(`execute @s ^^1^1.8 damage @e[r=3] 6 entity_attack entity @e[type=player]`)
            }
            if (lore[0].includes("Solar")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Solar")+10,lore[0].indexOf(" ",lore[0].indexOf("Solar")+10)))
                player.runCommand(`effect @s fire_resistance ${level+8} ${level+4}`)
            }
            if (lore[0].includes("Tank")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Tank")+10,lore[0].indexOf(" ",lore[0].indexOf("Tank")+10)))
                player.runCommand(`effect @s resistance ${level+17} ${level+2}`)
            }
            if (lore[0].includes("Ghost")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Ghost")+10,lore[0].indexOf(" ",lore[0].indexOf("Ghost")+10)))
                player.runCommand(`effect @s invisibility ${level+17} ${level+2} true`)
                player.runCommand(`effect @s night_vision ${level+17} ${level+2} true`)
            }
            if (lore[0].includes("Corrosion Scythe")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Corrosion Scythe")+7,lore[0].indexOf(" ",lore[0].indexOf("Corrosion Scythe")+7)))
                v.hitEntity.runCommand(`effect @s slowness ${level*20} ${level+1} true`)
                player.runCommand(`effect @s speed ${level+16} ${level-1} true`)
                player.runCommand(`effect @s resistance ${level+16} ${level+1} true`)
            }
            if (lore[0].includes("Demon Hunter")){
                let level = enchantment(lore[0].substring(lore[0].indexOf("Demon Hunter")+7,lore[0].indexOf(" ",lore[0].indexOf("Demon Hunter")+7)))
                v.hitEntity.runCommand(`effect @s instant_damage ${level*1} ${level+1} true`)
            }
        }
    }
})
function enchant(player,item,level){
    if (player.hasTag(`Eenough${level}`)){
        let lore = ""
        let itemlore = item.getLore()[0]
        if (!itemlore){
            itemlore=""
        }
        let count = 0
        let levelid = "I"
        if(level == 1){
            levelid = "I"
        }
        else if(level == 2){
            levelid = "II"
        }
        else if(level == 3){
            levelid = "III"
        }
        else if(level == 4){
            levelid = "IV"
        }
        else if(level == 5){
            levelid = "V"
        }
        else if(level == 6){
            levelid = "VI"
        }
        else if(level == 7){
            levelid = "VII"
        }
        else if(level == 8){
            levelid = "VIII"
        }
        else if(level == 9){
            levelid = "IX"
        }
        else if(level == 10){
            levelid = "X"
        }
        while (lore == "" && count < 30){
            let rng = Math.floor(Math.random()*155)
            count = count + 1
            if (rng < 10 && level >= 3 && !itemlore.includes("Melting")){
                lore = "\n§r§pMelting "
            }
            else if (rng > 10 && rng<=20 && level >= 6 && !itemlore.includes("Sweeping Edge")){
                lore = "\n§r§uSweeping Edge "
            }
            else if (rng > 20 && rng<=25 && level >= 6 && !itemlore.includes("Lightning")){
                lore = "\n§r§tLightning "
            }
            else if (rng > 25 && rng<=35 && level >= 5 && !itemlore.includes("Exploding")){
                lore = "\n§r§gExploding "
            }
            else if (rng > 35 && rng<=45 && !itemlore.includes("Floating")){
                lore = "\n§r§dFloating "+levelid+" "
            }
            else if (rng > 45 && rng<=50 && !itemlore.includes("Lifesteal")){
                lore = "\n§r§cLifesteal "+levelid+" "
            }
            else if (rng > 55 && rng<=60 && !itemlore.includes("Poison")){
                lore = "\n§r§aPoison "+levelid+" "
            }
            else if (rng > 65 && rng<=70 && !itemlore.includes("Absorbing")){
                lore = "\n§r§6Absorbing "+levelid+" "
            }
            else if (rng > 75 && rng<=85 && !itemlore.includes("Poison")){
                lore = "\n§r§aPoison "+levelid+" "
            }
            else if (rng > 85 && rng<=90 && !itemlore.includes("Wither")){
                lore = "\n§r§4Wither "+levelid+" "
            }
            else if (rng > 90 && rng<=95 && !itemlore.includes("Demon Heart")){
                lore = "\n§r§4Demon Heart "+levelid+" "
            }
            else if (rng > 95 && rng<=110 && !itemlore.includes("Freezing")){
                lore = "\n§r§bFreezing "+levelid+" "
            }
            else if (rng > 110 && rng<=125 && level >= 6 && !itemlore.includes("Experience")){
                lore = "\n§r§aExperience "
            }
            else if (rng > 125 && rng<=130 && level >=6 && !itemlore.includes("Sweeping Edge")){
                lore = "\n§r§uSweeping Edge "
            }
            else if (rng > 130 && rng<=135 && !itemlore.includes("Solar")){
                lore = "\n§r§gSolar "+levelid+" "
            }
            else if (rng > 135 && rng<=140 && !itemlore.includes("Tank")){
                lore = "\n§r§2Tank "+levelid+" "
            }
            else if (rng > 140 && rng<=145 && !itemlore.includes("Corrosion Scythe")){
                lore = "\n§r§2Corrosion Scythe "+levelid+" "
            }
            else if (rng > 145 && rng<=150 && !itemlore.includes("Demon Hunter")){
                lore = "\n§r§4Demon Hunter "+levelid+" "
            }
            else if (rng > 150 && rng<=155 && !itemlore.includes("Ghost")){
                lore = "\n§r§nGhost "+levelid+" "
            }
        }
        if (!lore == ""){
        
            item.setLore([itemlore + lore])
            player.getComponent("inventory").container.setItem(player.selectedSlot,item)
            if (level-1 <= 4){
                player.runCommand(`execute @p[lm=10] ~~~ xp -${(level)*10}L @p`)
            }
            else{
                player.runCommand(`execute @p[lm=50] ~~~ xp -${((level-5)*5)+50}L @p`)
            }
        }
    }
}
function TierMenu(player) {
	const menu = new ui.ActionFormData()
	.title('Enchantment Table')
	.body("\n§2Select enchanting to apply to the item you hold,\n§gAnd you can lure items several times to add a lot of charm as you want.\n§nAfter selecting tier, Click 1x on the screen to open the menu enchanting.")
    .button("§1Tier 1 Enchant\n§2§l10 Levels",`textures/items/copper_ingot`)
    .button("§2Tier 2 Enchant\n§2§l20 Levels",`textures/items/copper_ingot`)
    .button("§aTier 3 Enchant\n§2§l30 Levels",`textures/items/iron_ingot`)
    .button("§eTier 4 Enchant\n§2§l40 Levels",`textures/items/iron_ingot`)
    .button("§gTier 5 Enchant\n§2§l50 Levels",`textures/items/gold_ingot`)
    .button("§pTier 6 Enchant\n§2§l55 Levels",`textures/items/gold_ingot`)
    .button("§tTier 7 Enchant\n§2§l60 Levels",`textures/items/diamond`)
    .button("§cTier 8 Enchant\n§2§l65 Levels",`textures/items/diamond`)
    .button("§mTier 9 Enchant\n§2§l70 Levels",`textures/items/netherite_ingot`)
    .button("§4Tier 10 Enchant\n§2§l75 Levels",`textures/items/netherite_ingot`)
    .show(player).then(result => {
        let selection = result.selection
		player.removeTag("Eenchanted")
        if (selection == 0) {
            player.runCommand('execute @p[lm=10] ~~~ tag @p add Tier1')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 1) {
            player.runCommand('execute @p[lm=20] ~~~ tag @p add Tier2')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 2) {
            player.runCommand('execute @p[lm=30] ~~~ tag @p add Tier3')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 3) {
            player.runCommand('execute @p[lm=40] ~~~ tag @p add Tier4')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 4) {
            player.runCommand('execute @p[lm=50] ~~~ tag @p add Tier5')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 5) {
            player.runCommand('execute @p[lm=55] ~~~ tag @p add Tier6')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 6) {
            player.runCommand('execute @p[lm=60] ~~~ tag @p add Tier7')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 7) {
            player.runCommand('execute @p[lm=65] ~~~ tag @p add Tier8')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 8) {
            player.runCommand('execute @p[lm=70] ~~~ tag @p add Tier9')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
        if (selection == 9) {
            player.runCommand('execute @p[lm=75] ~~~ tag @p add Tier10')
            player.runCommand('playsound ui.loom.select_pattern @s ~~+1~')
        }
    })
}
     
function Tier1(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 10 §2Experience §eLevels")
            .button("§1Tier 1 Enchant\n§2§l10 Levels",`textures/items/copper_ingot`)
            .show(player).then(response => {
            
            player.removeTag("Tier1")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+1)
                  
                    }
                }
            }
        }
    })
}

function Tier2(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 20 §2Experience §eLevels")
            .button("§1Tier 2 Enchant\n§2§l20 Levels",`textures/items/copper_ingot`)
            .show(player).then(response => {
            
            player.removeTag("Tier2")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+2)
                  
                    }
                }
            }
        }
    })
}

function Tier3(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 30 §2Experience §eLevels")
            .button("§1Tier 3 Enchant\n§2§l30 Levels",`textures/items/iron_ingot`)
            .show(player).then(response => {
            
            player.removeTag("Tier3")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+3)
                  
                    }
                }
            }
        }
    })
}

function Tier4(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 40 §2Experience §eLevels")
            .button("§1Tier 4 Enchant\n§2§l40 Levels",`textures/items/iron_ingot`)
            .show(player).then(response => {
            
            player.removeTag("Tier4")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+4)
                  
                    }
                }
            }
        }
    })
}

function Tier5(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 50 §2Experience §eLevels")
            .button("§1Tier 5 Enchant\n§2§l50 Levels",`textures/items/gold_ingot`)
            .show(player).then(response => {
            	
            player.removeTag("Tier5")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+5)
                    }
                }
            }
        }
    })
}
function Tier6(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 55 §2Experience §eLevels")
            .button("§1Tier 6 Enchant\n§2§l55 Levels",`textures/items/gold_ingot`)
            .show(player).then(response => {
            	
            player.removeTag("Tier6")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+6)
                    }
                }
            }
        }
    })
}

function Tier7(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 60 §2Experience §eLevels")
            .button("§1Tier 7 Enchant\n§2§l60 Levels",`textures/items/diamond`)
            .show(player).then(response => {
            	
            player.removeTag("Tier7")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+7)
                    }
                }
            }
        }
    })
}
function Tier8(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 65 §2Experience §eLevels")
            .button("§1Tier 8 Enchant\n§2§l65 Levels",`textures/items/diamond`)
            .show(player).then(response => {
            
            player.removeTag("Tier8")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+8)
                  
                    }
                }
            }
        }
    })
}

function Tier9(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 70 §2Experience §eLevels")
            .button("§1Tier 9 Enchant\n§2§l70 Levels",`textures/items/netherite_ingot`)
            .show(player).then(response => {
            
            player.removeTag("Tier9")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+9)
                  
                    }
                }
            }
        }
    })
}

function Tier10(player) {
const encgui = new ui.ActionFormData()
            .title("Enchantment Table")
            .body("§6Price : 75 §2Experience §eLevels")
            .button("§1Tier 10 Enchant\n§2§l75 Levels",`textures/items/netherite_ingot`)
            .show(player).then(response => {
            
            player.removeTag("Tier10")
            player.removeTag("Eenchanted")
            player.playSound('beacon.activate')
            
            if (!response.isCanceled) {
                let item = player.getComponent("inventory").container.getItem(player.selectedSlot)
                if (item){
                    if (!item.id.includes("helmet") && !item.id.includes("chestplate") && !item.id.includes("leggings") && !item.id.includes("boots")){
                        if(item.id.includes("sword") || item.id.includes("trident") || item.id.includes("axe") || item.hasComponent("minecraft:durability")){
                            enchant(player,item,response.selection+10)
                    }
                }
            }
        }
    })
}
//GamerTag : Engine404

